Bug 14421 - Small error in example in SMS.pm
Summary: Small error in example in SMS.pm
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Eivin Giske Skaaren
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-19 11:07 UTC by Eivin Giske Skaaren
Modified: 2016-12-05 21:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Corrected example in SMS.pm to working version with hashref. (861 bytes, patch)
2015-06-19 11:14 UTC, Eivin Giske Skaaren
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14421: Corrected example in SMS.pm to working version with hashref. (1.08 KB, patch)
2015-06-19 14:36 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 14421: Corrected example in SMS.pm to working version with hashref. (1.08 KB, patch)
2015-06-19 16:01 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Eivin Giske Skaaren 2015-06-19 11:07:05 UTC
The send_sms subroutine needs a hashref so {} should be added to the example.
Comment 1 Eivin Giske Skaaren 2015-06-19 11:14:16 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2015-06-19 14:36:33 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-06-19 16:01:07 UTC
Created attachment 40413 [details] [review]
Bug 14421: Corrected example in SMS.pm to working version with hashref.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Test:
1) Apply patch
2) perldoc C4/SMS.pm
3) Check fixed argument in example

Argument is hashref, POD is now right
Added additional space on second arg
No errors

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 4 Tomás Cohen Arazi 2015-06-22 14:41:58 UTC
Patch pushed to master.

Thanks Eivin, and congratulations for your first patch!
Comment 5 Chris Cormack 2015-06-29 20:34:23 UTC
Pushed to 3.20.x will be in 3.20.2
Comment 6 Liz Rea 2015-07-20 22:06:26 UTC
Pushed to 3.18.x will be in 3.18.09
Comment 7 Mason James 2015-07-25 10:42:53 UTC
Pushed to 3.16.x, will be in 3.16.13